Bug 598558 - authconfig should not touch any sssd domain that is not named "default"
authconfig should not touch any sssd domain that is not named "default"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: authconfig (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE - Apps
:
Depends On: 598556
Blocks: 579775
  Show dependency treegraph
 
Reported: 2010-06-01 11:45 EDT by Simo Sorce
Modified: 2010-11-10 14:55 EST (History)
6 users (show)

See Also:
Fixed In Version: authconfig-6.1.4-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 598556
Environment:
Last Closed: 2010-11-10 14:55:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2010-06-01 11:45:04 EDT
+++ This bug was initially created as a clone of Bug #598556 +++

Apparently the current behaviour of authconfig is to "take over" the first domain listed in sssd and reconfigure it.

Authconfig shouldn't do that as it will destroy potentially valuable configuration.

Authconfig should always only use "default" as domain name and add it to the list of currently active domains.

This avoid irreparably destroying a currently working configuration if authconfig is misused on a machine that already has working domains configured.

Note: authconfig may decide to rewrite the "domains" option in [sssd] instead of just appending. This will cause the deactivation of other configured domains, but at least it will not destroy their configuration and all a user needs to do is to change back the "domains" option to include the right domains.

Also note: a non working domain does not affect other domains. If a domain fails sssd will go on consulting all the others and will log the issue to the log files.
Comment 2 RHEL Product and Program Management 2010-06-01 12:16:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Gowrishankar Rajaiyan 2010-07-28 04:45:14 EDT
The domain name "default" is case sensitive here, if there already exists a [domain/DEFAULT] and if you use authconfig a new domain with [domain/default] is created. This may be confusing but is acceptable as it does no harm to the existing configuration.

Verified. Version: authconfig-6.1.4-4.el6 & sssd-1.2.1-21.
Comment 6 releng-rhel@redhat.com 2010-11-10 14:55:21 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.